Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(7)

Issue 26702002: force readbuffer clients to use specialized readFoo for flattenables (Closed)

Created:
5 years, 9 months ago by reed1
Modified:
5 years, 9 months ago
Reviewers:
mtklein, sugoi
CC:
skia-review_googlegroups.com
Visibility:
Public.

Description

force readbuffer clients to use specialized readFoo for flattenables BUG= R=mtklein@google.com Committed: https://code.google.com/p/skia/source/detail?r=11803

Patch Set 1 #

Total comments: 1

Patch Set 2 : plumbed EffectType into readFlattenable() #

Total comments: 2

Patch Set 3 : scalercontext fixed, pipe is confusing me, will think more #

Patch Set 4 : #

Patch Set 5 : #

Patch Set 6 : #

Patch Set 7 : #

Patch Set 8 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+111 lines, -46 lines) Patch
M include/core/SkFlattenableBuffers.h View 1 2 3 4 5 6 7 4 chunks +48 lines, -5 lines 0 comments Download
M src/core/SkBitmap.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M src/core/SkBlitter.cpp View 1 chunk +1 line, -1 line 0 comments Download
M src/core/SkComposeShader.cpp View 1 chunk +3 lines, -3 lines 0 comments Download
M src/core/SkFilterShader.cpp View 1 chunk +2 lines, -2 lines 0 comments Download
M src/core/SkFlattenableBuffers.cpp View 1 1 chunk +1 line, -0 lines 0 comments Download
M src/core/SkFlattenableSerialization.cpp View 1 2 3 4 5 6 2 chunks +4 lines, -1 line 0 comments Download
M src/core/SkImageFilter.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M src/core/SkOrderedReadBuffer.h View 1 1 chunk +1 line, -1 line 0 comments Download
M src/core/SkOrderedReadBuffer.cpp View 1 1 chunk +5 lines, -1 line 0 comments Download
M src/core/SkPaint.cpp View 1 2 3 4 5 1 chunk +8 lines, -8 lines 0 comments Download
M src/core/SkPathEffect.cpp View 1 chunk +2 lines, -2 lines 0 comments Download
M src/core/SkScalerContext.cpp View 1 2 2 chunks +6 lines, -5 lines 0 comments Download
M src/effects/SkBlurDrawLooper.cpp View 1 chunk +2 lines, -2 lines 0 comments Download
M src/effects/SkColorFilterImageFilter.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M src/effects/SkRectShaderImageFilter.cpp View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M src/effects/SkXfermodeImageFilter.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M src/effects/gradients/SkGradientShader.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M src/pipe/SkGPipePriv.h View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M src/pipe/SkGPipeRead.cpp View 1 2 3 4 5 6 3 chunks +18 lines, -1 line 0 comments Download
M tests/ColorFilterTest.cpp View 1 2 3 4 5 3 chunks +3 lines, -7 lines 0 comments Download

Messages

Total messages: 11 (0 generated)
reed1
A possible pre-CL to the type-checking CL for flattenables. This CL *only* modifies the callers ...
5 years, 9 months ago (2013-10-09 15:44:01 UTC) #1
sugoi
On 2013/10/09 15:44:01, reed1 wrote: > A possible pre-CL to the type-checking CL for flattenables. ...
5 years, 9 months ago (2013-10-09 17:08:48 UTC) #2
reed1
The missing piece, which *might* answer some of your questions, is a proper impl of ...
5 years, 9 months ago (2013-10-09 17:13:11 UTC) #3
reed1
This proposal explicitly posits that the caller (skia core) does *not* care about intervening subclasses ...
5 years, 9 months ago (2013-10-09 17:14:59 UTC) #4
sugoi
On 2013/10/09 17:13:11, reed1 wrote: > The missing piece, which *might* answer some of your ...
5 years, 9 months ago (2013-10-09 17:25:48 UTC) #5
sugoi
Some more reflection on this... https://codereview.chromium.org/26702002/diff/1/include/core/SkFlattenableBuffers.h File include/core/SkFlattenableBuffers.h (left): https://codereview.chromium.org/26702002/diff/1/include/core/SkFlattenableBuffers.h#oldcode101 include/core/SkFlattenableBuffers.h:101: template <typename T> T* ...
5 years, 9 months ago (2013-10-09 20:26:55 UTC) #6
reed1
next iteration up
5 years, 9 months ago (2013-10-10 18:03:39 UTC) #7
sugoi
https://codereview.chromium.org/26702002/diff/9001/include/core/SkFlattenableBuffers.h File include/core/SkFlattenableBuffers.h (right): https://codereview.chromium.org/26702002/diff/9001/include/core/SkFlattenableBuffers.h#newcode42 include/core/SkFlattenableBuffers.h:42: kUnknown_SkEffectType, Having an "unknown" type defeats the purpose of ...
5 years, 9 months ago (2013-10-10 18:15:13 UTC) #8
mtklein
On 2013/10/10 18:15:13, sugoi wrote: > https://codereview.chromium.org/26702002/diff/9001/include/core/SkFlattenableBuffers.h > File include/core/SkFlattenableBuffers.h (right): > > https://codereview.chromium.org/26702002/diff/9001/include/core/SkFlattenableBuffers.h#newcode42 > ...
5 years, 9 months ago (2013-10-10 18:59:27 UTC) #9
reed1
now with no more kUnknown goodness ...
5 years, 9 months ago (2013-10-15 21:41:42 UTC) #10
reed1
5 years, 9 months ago (2013-10-16 13:05:20 UTC) #11
Message was sent while issue was closed.
Committed patchset #8 manually as r11803 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698